Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 30 Jan 2021 08:39:28 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I have been waiting for the delivery of my items which i have orderd on 11 January. It is very disappointing that you keep canceklng some of the items and you did not even plan to deliver it on time as promised. I have paid for it and was expectjng to receive it within 2 to 3 days. But then it is not acceptable to partially cancel my items without notifying me when i should  have receive it ans have the right to have it since it was purchased earlier. Canceling it after 10 days is unbelievable. Very bad customer service as i have been constantly using the chat online and no one is really taking my grievance into action. This is an ultimatum. I will report you to the consumer rights if i do not hear anything from you. Apparently, your chat service is no longer working. Though it never was that helpful to begin with. https://landmarkgroupservice.freshdesk.com/helpdesk/tick
 ets/2034917